### Function

# RB gst_encoding_profile_get_encoder

#### Declaration [src]

    GstElement*
    rb_gst_encoding_profile_get_encoder (
      GstEncodingProfile* profile
    )

#### Description

No description available.

#### Parameters

`profile`

  Type: `GstEncodingProfile`

  A `GstEncodingProfile`.

  The data is owned by the caller of the function.

#### Return value

Type: `GstElement`

An encoder element instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.